Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

# StepTalk Documentation

### Authors

Stefan Urbanek (`urbanek@host.sk`)

Version: 0.7.1

Date: 2003 Apr 22

# Introduction

StepTalk is a scripting framework for creating scriptable servers or applications. StepTalk, when combined with the dynamism that the Objective-C language provides, goes way beyond mere scripting. intro

### Class

- STActor
- STBundleInfo
- STContext
- STConversation
- STEngine
- STEnvironment
- STEnvironmentDescription
- STFileScript
- STLanguageManager
- STObjectReference
- STRemoteConversation
- STScript
- STScriptObject
- STScriptsManager
- STSelector
- STUndefinedObject

### Protocol

- <STConversation>
- <STEnvironmentProcess>
- <STMethod>
- <STScriptObject>
- <STScripting>